// Garden Gnome Software - Skin
// Pano2VR 4.0/3102
// Filename: compass.ggsk
// Generated Mon Jan 21 16:47:29 2013

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		return 'translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._north_bg=document.createElement('div');
		this._north_bg.ggId='north_bg';
		this._north_bg.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._north_bg.ggVisible=true;
		this._north_bg.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-401 + w/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -401px;';
		hs+='top:  4px;';
		hs+='width: 78px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 2px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-image:url(' + basePath + 'images/alpha_background_0000ff_100.png);';
		this._north_bg.setAttribute('style',hs);
		this._text_28=document.createElement('div');
		this._text_28.ggId='Text 2';
		this._text_28.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_28.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  3px;';
		hs+='width: 59px;';
		hs+='height: 23px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_28.setAttribute('style',hs);
		this._text_28.innerHTML="North";
		this._north_bg.appendChild(this._text_28);
		this._text_27=document.createElement('div');
		this._text_27.ggId='Text 2';
		this._text_27.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_27.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  1px;';
		hs+='width: 59px;';
		hs+='height: 23px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_27.setAttribute('style',hs);
		this._text_27.innerHTML="North";
		this._north_bg.appendChild(this._text_27);
		this.divSkin.appendChild(this._north_bg);
		this._east_bg=document.createElement('div');
		this._east_bg.ggId='east_bg';
		this._east_bg.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._east_bg.ggVisible=true;
		this._east_bg.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-401 + w/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -401px;';
		hs+='top:  4px;';
		hs+='width: 78px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 2px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-image:url(' + basePath + 'images/alpha_background_0000ff_100.png);';
		this._east_bg.setAttribute('style',hs);
		this._text_26=document.createElement('div');
		this._text_26.ggId='Text 2';
		this._text_26.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_26.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  3px;';
		hs+='width: 59px;';
		hs+='height: 23px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_26.setAttribute('style',hs);
		this._text_26.innerHTML="East";
		this._east_bg.appendChild(this._text_26);
		this._text_25=document.createElement('div');
		this._text_25.ggId='Text 2';
		this._text_25.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_25.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  1px;';
		hs+='width: 59px;';
		hs+='height: 23px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_25.setAttribute('style',hs);
		this._text_25.innerHTML="East";
		this._east_bg.appendChild(this._text_25);
		this.divSkin.appendChild(this._east_bg);
		this._south1_bg=document.createElement('div');
		this._south1_bg.ggId='south1_bg';
		this._south1_bg.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._south1_bg.ggVisible=true;
		this._south1_bg.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-401 + w/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -401px;';
		hs+='top:  4px;';
		hs+='width: 78px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 2px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-image:url(' + basePath + 'images/alpha_background_0000ff_100.png);';
		this._south1_bg.setAttribute('style',hs);
		this._text_24=document.createElement('div');
		this._text_24.ggId='Text 2';
		this._text_24.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_24.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  3px;';
		hs+='width: 59px;';
		hs+='height: 23px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_24.setAttribute('style',hs);
		this._text_24.innerHTML="South";
		this._south1_bg.appendChild(this._text_24);
		this._text_23=document.createElement('div');
		this._text_23.ggId='Text 2';
		this._text_23.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_23.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  1px;';
		hs+='width: 59px;';
		hs+='height: 23px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_23.setAttribute('style',hs);
		this._text_23.innerHTML="South";
		this._south1_bg.appendChild(this._text_23);
		this.divSkin.appendChild(this._south1_bg);
		this._south2_bg=document.createElement('div');
		this._south2_bg.ggId='south2_bg';
		this._south2_bg.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._south2_bg.ggVisible=true;
		this._south2_bg.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-401 + w/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -401px;';
		hs+='top:  4px;';
		hs+='width: 78px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 2px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-image:url(' + basePath + 'images/alpha_background_0000ff_100.png);';
		this._south2_bg.setAttribute('style',hs);
		this._text_22=document.createElement('div');
		this._text_22.ggId='Text 2';
		this._text_22.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_22.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  3px;';
		hs+='width: 59px;';
		hs+='height: 23px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_22.setAttribute('style',hs);
		this._text_22.innerHTML="South";
		this._south2_bg.appendChild(this._text_22);
		this._text_21=document.createElement('div');
		this._text_21.ggId='Text 2';
		this._text_21.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_21.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  1px;';
		hs+='width: 59px;';
		hs+='height: 23px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_21.setAttribute('style',hs);
		this._text_21.innerHTML="South";
		this._south2_bg.appendChild(this._text_21);
		this.divSkin.appendChild(this._south2_bg);
		this._west_bg=document.createElement('div');
		this._west_bg.ggId='west_bg';
		this._west_bg.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._west_bg.ggVisible=true;
		this._west_bg.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-401 + w/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -401px;';
		hs+='top:  4px;';
		hs+='width: 78px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 2px solid #0000ff;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-image:url(' + basePath + 'images/alpha_background_0000ff_100.png);';
		this._west_bg.setAttribute('style',hs);
		this._text_20=document.createElement('div');
		this._text_20.ggId='Text 2';
		this._text_20.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_20.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  3px;';
		hs+='width: 59px;';
		hs+='height: 23px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_20.setAttribute('style',hs);
		this._text_20.innerHTML="West";
		this._west_bg.appendChild(this._text_20);
		this._text_2=document.createElement('div');
		this._text_2.ggId='Text 2';
		this._text_2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_2.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  1px;';
		hs+='width: 59px;';
		hs+='height: 23px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_2.setAttribute('style',hs);
		this._text_2.innerHTML="West";
		this._west_bg.appendChild(this._text_2);
		this.divSkin.appendChild(this._west_bg);
		this._pointer=document.createElement('div');
		this._pointer.ggId='pointer';
		this._pointer.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._pointer.ggVisible=true;
		this._pointer.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(251 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-91 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: 251px;';
		hs+='top:  -91px;';
		hs+='width: 7px;';
		hs+='height: 199px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 1px solid #000000;';
		hs+='background-color: #ffffff;';
		this._pointer.setAttribute('style',hs);
		this._pointer_tip=document.createElement('div');
		this._pointer_tip.ggId='pointer_tip';
		this._pointer_tip.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._pointer_tip.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  -1px;';
		hs+='width: 7px;';
		hs+='height: 19px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 1px solid #000000;';
		hs+='background-color: #ff0000;';
		this._pointer_tip.setAttribute('style',hs);
		this._pointer.appendChild(this._pointer_tip);
		this.divSkin.appendChild(this._pointer);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if (nodeMarker[i].ggMarkerNodeId==id) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		var hs='';
		if (me._north_bg.ggParameter) {
			hs+=parameterToTransform(me._north_bg.ggParameter) + ' ';
		}
		hs+='translate(' + (10 * me.player.getPanNorth() + 360) + 'px,0px) ';
		me._north_bg.style[domTransform]=hs;
		var hs='';
		if (me._east_bg.ggParameter) {
			hs+=parameterToTransform(me._east_bg.ggParameter) + ' ';
		}
		hs+='translate(' + (10 * me.player.getPanNorth() + 1260) + 'px,0px) ';
		me._east_bg.style[domTransform]=hs;
		var hs='';
		if (me._south1_bg.ggParameter) {
			hs+=parameterToTransform(me._south1_bg.ggParameter) + ' ';
		}
		hs+='translate(' + (10 * me.player.getPanNorth() + 2160) + 'px,0px) ';
		me._south1_bg.style[domTransform]=hs;
		var hs='';
		if (me._south2_bg.ggParameter) {
			hs+=parameterToTransform(me._south2_bg.ggParameter) + ' ';
		}
		hs+='translate(' + (10 * me.player.getPanNorth() + -1440) + 'px,0px) ';
		me._south2_bg.style[domTransform]=hs;
		var hs='';
		if (me._west_bg.ggParameter) {
			hs+=parameterToTransform(me._west_bg.ggParameter) + ' ';
		}
		hs+='translate(' + (10 * me.player.getPanNorth() + -540) + 'px,0px) ';
		me._west_bg.style[domTransform]=hs;
		var hs='';
		if (me._pointer.ggParameter) {
			hs+=parameterToTransform(me._pointer.ggParameter) + ' ';
		}
		hs+='rotate(' + (-1.0*(1 * me.player.getPanNorth() + 0)) + 'deg) ';
		me._pointer.style[domTransform]=hs;
	};
	this.addSkin();
};